Name:		perl-Net-Patricia
Version: 	1.014
Release:	3.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Net::Patricia
Summary(de):	Perlmodul Net::Patricia
URL: 		http://search.cpan.org/~plonka/
Source0: 	Net-Patricia-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl
%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
This module uses a Patricia Trie data structure to quickly
perform IP address prefix matching for applications such as
IP subnet, network or routing table lookups. The data
structure is based on a radix tree using a radix of two, so
sometimes you see patricia implementations called "radix" as
well. The term "Trie" is derived from the word "retrieval"
but is pronounced like "try". Patricia stands for
"Practical Algorithm to Retrieve Information Coded as
Alphanumeric", and was first suggested for routing table
lookups by Van Jacobsen. Patricia Trie performance
characteristics are well-known as it has been employed for
routing table lookups within the BSD kernel since the 4.3
Reno release.

%prep
%setup -q -n Net-Patricia-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc Changes
%dir %{perl_vendorarch}/Net
%{perl_vendorarch}/Net/Patricia.pm
%dir %{perl_vendorarch}/auto/Net
%dir %{perl_vendorarch}/auto/Net/Patricia
%{perl_vendorarch}/auto/Net/Patricia/Patricia.bs
%{perl_vendorarch}/auto/Net/Patricia/Patricia.so
%{_mandir}/man3/Net::Patricia.3pm*

%changelog
* Fri Feb 23 2007 Carsten Schoene <cs@linux-administrator.com> - 1.014-1
- initial build of Net::Patricia perl package which is required for flowscan 
